apiVersion: apps/v1  # Version .. a7fa4ha kima hia pr le moment ..
kind: Deployment  # Naw3 resource li bch ndéplooyiha .. hna deployment
metadata: # Ma3loumét ithafia
  name: mongo-deployement # Esm déployment
  labels: # Couple clé valeur akhtaro kima thb .. aucune contrainte 3liha
    app: mongodb
spec:  # Caractéristique
  replicas: 1 # Nb de copie du pod ...
  selector: # Le déployment va seléctionner
    matchLabels: # Mot clé statique .. hakék ahftho bbhélm
      app: mongodb # Le couple clé:valeur du pod ..
  template: # La configuration d'un pod .. blougha okhra .. les containers li bch ydouro dns ce pod avec leurs info
    metadata: # Métadata du POD !!!
      labels: # Labéls du pod
        app: mongodb # Couple clé:valeur du pod ...
    spec: # Les spécifications du pod ..
      containers:  # Liste des containers li bch tdour fl pod
        - name: mongodb # Esm container
          image: mongo # Esm l'image f dockerhub
          ports: # Port du container
            - containerPort: 27017
          env: # Env ...
            - name: MONGO_INITDB_ROOT_USERNAME # Esm Variable d'env
              valueFrom: # Ejbéd valeur mte3ha mn
                secretKeyRef: #Fichier Secret ...
                  name: mongo-secret # Esm seccret ..
                  key: mongo-root-username
            - name: MONGO_INITDB_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongo-secret
                  key: mongo-root-password

--- # Voir RQ 6
apiVersion: v1  # Version ...
kind: Service # Naw3iyét resource
metadata: # Des infos ..
  name: mongo-service # NAme: ...
spec: # Caractérisique ??
  selector:
    app: mongodb # Voir RQ 7 
  ports:
    - protocol: TCP
      port: 27017 # Port li yéb3a4 3liha client .. blougha port li tjih svc 3lih req
      targetPort: 27017 # Port li bch yforwardilo el request ...














